#!/usr/bin/env bash
parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path" || exit

./lint.sh

if [ 1 -eq "$#" ]
then
  ./version_bump.sh "$1"
else
echo "No version bump"
  git push
fi

cd docker/app || exit
docker build --tag luthor:latest .
cd "$parent_path/docker" || exit
docker save luthor:latest | bzip2 | pv | ssh tanshu@knox.tanshu.com 'bunzip2 | sudo docker load'
ansible-playbook playbook.yml
