import secrets

from dotenv import load_dotenv
from pydantic import BaseSettings


class Settings(BaseSettings):
    # openssl rand -hex 32
    SECRET_KEY: str = secrets.token_urlsafe(32)
    MIDDLEWARE_SECRET_KEY: str = secrets.token_urlsafe(5)
    ALGORITHM: str = "HS256"
    JWT_TOKEN_EXPIRE_MINUTES: int = 30
    HOST: str = "0.0.0.0"
    PORT: int = 80
    DEBUG: bool = False
    LOG_LEVEL: str = "NOTSET"
    SQLALCHEMY_DATABASE_URI: str = None

    ALEMBIC_LOG_LEVEL: str = "INFO"
    ALEMBIC_SQLALCHEMY_LOG_LEVEL: str = "WARN"

    class Config:
        case_sensitive = True
        env_file = ".env"


load_dotenv()
settings = Settings()
