import uuid

from sqlalchemy import Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID

from .meta import Base


class Advocate(Base):
    __tablename__ = "advocates"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), nullable=False)
    mobile = Column("mobile", Unicode(255), nullable=False)
    landline = Column("landline", Unicode(255), nullable=False)
    address = Column("address", Unicode(255), nullable=False)
    email = Column("email", Unicode(255), nullable=False)

    @property
    def __name__(self):
        return self.name

    def __init__(self, name=None, mobile=None, landline=None, address=None, email=None, id_=None):
        self.name = name
        self.mobile = mobile
        self.landline = landline
        self.address = address
        self.email = email
        self.id = id_
