import uuid

from sqlalchemy import Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import relationship

from .case import Case  # noqa: F401
from .hearing import Hearing  # noqa: F401
from .meta import Base


class CourtStatus(Base):
    __tablename__ = "court_statuses"  # Old Name Status

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), nullable=False, unique=True)

    cases = relationship("Case", back_populates="court_status")
    hearings = relationship("Hearing", back_populates="court_status")

    def __init__(self, name=None, id_=None):
        self.name = name
        self.id = id_
