import uuid

from sqlalchemy import Column, ForeignKey, Unicode, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import relationship

from .meta import Base


class Office(Base):
    __tablename__ = "offices"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    department_id = Column("department_id", UUID(as_uuid=True), ForeignKey("departments.id"), nullable=False)
    name = Column("name", Unicode(255), nullable=False)
    address = Column("address", Unicode(255), nullable=True)
    email = Column("email", Unicode(255), nullable=True)

    department = relationship("Department", backref="offices")

    @property
    def __name__(self):
        return self.name

    def __init__(self, name=None, address=None, email=None, department_id=None, id_=None):
        self.name = name
        self.address = address
        self.email = email
        self.department_id = department_id
        self.id = id_
