import uuid

from sqlalchemy import Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import relationship

from .meta import Base


class OfficeStatus(Base):
    __tablename__ = "office_statuses"  # Old name CaseStatus

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), nullable=False, unique=True)

    cases = relationship("Case")

    def __init__(self, name=None, id_=None):
        self.name = name
        self.id = id_
