import uuid

from sqlalchemy import Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID

from .meta import Base


class Role(Base):
    __tablename__ = "roles"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), unique=True)

    def __init__(self, name=None, id_=None):
        self.name = name
        self.id = id_
