import uuid

from sqlalchemy import Column, UniqueConstraint, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.schema import ForeignKey, Table

from .meta import Base


user_roles = Table(
    "user_roles",
    Base.metadata,
    Column("id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4),
    Column("user_id", UUID(as_uuid=True), ForeignKey("users.id"), nullable=False),
    Column("role_id", UUID(as_uuid=True), ForeignKey("roles.id"), nullable=False),
    UniqueConstraint("user_id", "role_id"),
)
