import uuid

from typing import Optional

from pydantic import BaseModel, Field


class ActIn(BaseModel):
    name: str = Field(..., min_length=1)

    class Config:
        anystr_strip_whitespace = True


class Act(ActIn):
    id_: uuid.UUID

    class Config:
        anystr_strip_whitespace = True
        fields = {"id_": "id"}


class ActBlank(BaseModel):
    name: str

    class Config:
        anystr_strip_whitespace = True


class ActLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: Optional[str]

    class Config:
        fields = {"id_": "id"}
