import uuid

from typing import Optional

from pydantic import BaseModel, Field


class AdvocateIn(BaseModel):
    name: str = Field(..., min_length=1)
    mobile: str
    landline: str
    address: str
    email: str

    class Config:
        anystr_strip_whitespace = True


class Advocate(AdvocateIn):
    id_: uuid.UUID

    class Config:
        anystr_strip_whitespace = True
        fields = {"id_": "id"}


class AdvocateBlank(BaseModel):
    name: str

    class Config:
        anystr_strip_whitespace = True


class AdvocateLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: Optional[str]

    class Config:
        fields = {"id_": "id"}
