import uuid

from typing import Optional

from pydantic import BaseModel, Field


class CourtStatusIn(BaseModel):
    name: str = Field(..., min_length=1)

    class Config:
        anystr_strip_whitespace = True


class CourtStatus(CourtStatusIn):
    id_: uuid.UUID

    class Config:
        anystr_strip_whitespace = True
        fields = {"id_": "id"}


class CourtStatusBlank(BaseModel):
    name: str

    class Config:
        anystr_strip_whitespace = True


class CourtStatusLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: Optional[str]

    class Config:
        fields = {"id_": "id"}
