import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Act } from '../../core/act';

import { ActListDataSource } from './act-list-datasource';

@Component({
  selector: 'app-act-list',
  templateUrl: './act-list.component.html',
  styleUrls: ['./act-list.component.css'],
})
export class ActListComponent implements OnInit {
  list: Act[] = [];
  dataSource: ActListDataSource = new ActListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Act[] };
      this.list = data.list;
    });
    this.dataSource = new ActListDataSource(this.list);
  }
}
