import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Act } from '../core/act';

import { ActService } from './act.service';

@Injectable({
  providedIn: 'root',
})
export class ActResolver implements Resolve<Act> {
  constructor(private ser: ActService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Act> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
