import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ActDetailComponent } from './act-detail/act-detail.component';
import { ActListResolver } from './act-list-resolver.service';
import { ActListComponent } from './act-list/act-list.component';
import { ActResolver } from './act-resolver.service';

const actsRoutes: Routes = [
  {
    path: '',
    component: ActListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Acts',
    },
    resolve: {
      list: ActListResolver,
    },
  },
  {
    path: 'new',
    component: ActDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Acts',
    },
    resolve: {
      item: ActResolver,
    },
  },
  {
    path: ':id',
    component: ActDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Acts',
    },
    resolve: {
      item: ActResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(actsRoutes)],
  exports: [RouterModule],
  providers: [ActListResolver, ActResolver],
})
export class ActsRoutingModule {}
