import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Advocate } from '../../core/advocate';

import { AdvocateListDataSource } from './advocate-list-datasource';

@Component({
  selector: 'app-advocate-list',
  templateUrl: './advocate-list.component.html',
  styleUrls: ['./advocate-list.component.css'],
})
export class AdvocateListComponent implements OnInit {
  list: Advocate[] = [];
  dataSource: AdvocateListDataSource = new AdvocateListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'mobile', 'landline', 'email', 'address'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Advocate[] };
      this.list = data.list;
    });
    this.dataSource = new AdvocateListDataSource(this.list);
  }
}
