import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { AdvocateDetailComponent } from './advocate-detail/advocate-detail.component';
import { AdvocateListResolver } from './advocate-list-resolver.service';
import { AdvocateListComponent } from './advocate-list/advocate-list.component';
import { AdvocateResolver } from './advocate-resolver.service';

const advocatesRoutes: Routes = [
  {
    path: '',
    component: AdvocateListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Advocates',
    },
    resolve: {
      list: AdvocateListResolver,
    },
  },
  {
    path: 'new',
    component: AdvocateDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Advocates',
    },
    resolve: {
      item: AdvocateResolver,
    },
  },
  {
    path: ':id',
    component: AdvocateDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Advocates',
    },
    resolve: {
      item: AdvocateResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(advocatesRoutes)],
  exports: [RouterModule],
  providers: [AdvocateListResolver, AdvocateResolver],
})
export class AdvocatesRoutingModule {}
