import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CaseSource } from '../core/case-source';

import { CaseSourceService } from './case-source.service';

@Injectable({
  providedIn: 'root',
})
export class CaseSourceResolver implements Resolve<CaseSource> {
  constructor(private ser: CaseSourceService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<CaseSource> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
