import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { CaseSourceDetailComponent } from './case-source-detail/case-source-detail.component';
import { CaseSourceListResolver } from './case-source-list-resolver.service';
import { CaseSourceListComponent } from './case-source-list/case-source-list.component';
import { CaseSourceResolver } from './case-source-resolver.service';

const caseSourcesRoutes: Routes = [
  {
    path: '',
    component: CaseSourceListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Case Sources',
    },
    resolve: {
      list: CaseSourceListResolver,
    },
  },
  {
    path: 'new',
    component: CaseSourceDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Case Sources',
    },
    resolve: {
      item: CaseSourceResolver,
    },
  },
  {
    path: ':id',
    component: CaseSourceDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Case Sources',
    },
    resolve: {
      item: CaseSourceResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(caseSourcesRoutes)],
  exports: [RouterModule],
  providers: [CaseSourceListResolver, CaseSourceResolver],
})
export class CaseSourcesRoutingModule {}
