import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { CaseType } from '../../core/case-type';

import { CaseTypeListDataSource } from './case-type-list-datasource';

@Component({
  selector: 'app-case-type-list',
  templateUrl: './case-type-list.component.html',
  styleUrls: ['./case-type-list.component.css'],
})
export class CaseTypeListComponent implements OnInit {
  list: CaseType[] = [];
  dataSource: CaseTypeListDataSource = new CaseTypeListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: CaseType[] };
      this.list = data.list;
    });
    this.dataSource = new CaseTypeListDataSource(this.list);
  }
}
