import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CaseType } from '../core/case-type';

import { CaseTypeService } from './case-type.service';

@Injectable({
  providedIn: 'root',
})
export class CaseTypeResolver implements Resolve<CaseType> {
  constructor(private ser: CaseTypeService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<CaseType> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
