import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { CaseTypeDetailComponent } from './case-type-detail/case-type-detail.component';
import { CaseTypeListResolver } from './case-type-list-resolver.service';
import { CaseTypeListComponent } from './case-type-list/case-type-list.component';
import { CaseTypeResolver } from './case-type-resolver.service';

const caseTypesRoutes: Routes = [
  {
    path: '',
    component: CaseTypeListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Case Types',
    },
    resolve: {
      list: CaseTypeListResolver,
    },
  },
  {
    path: 'new',
    component: CaseTypeDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Case Types',
    },
    resolve: {
      item: CaseTypeResolver,
    },
  },
  {
    path: ':id',
    component: CaseTypeDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Case Types',
    },
    resolve: {
      item: CaseTypeResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(caseTypesRoutes)],
  exports: [RouterModule],
  providers: [CaseTypeListResolver, CaseTypeResolver],
})
export class CaseTypesRoutingModule {}
