import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Case } from '../core/case';

import { CaseService } from './case.service';

@Injectable({
  providedIn: 'root',
})
export class CaseResolver implements Resolve<Case> {
  constructor(private ser: CaseService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Case> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
