import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CauseList } from './cause-list';
import { CauseListService } from './cause-list.service';

@Injectable({
  providedIn: 'root',
})
export class CauseListResolver implements Resolve<CauseList> {
  constructor(private ser: CauseListService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<CauseList> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(startDate, finishDate);
  }
}
