import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { CauseListResolver } from './cause-list-resolver.service';
import { CauseListComponent } from './cause-list.component';
const advocatesRoutes: Routes = [
  {
    path: '',
    component: CauseListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cases',
    },
    resolve: {
      info: CauseListResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(advocatesRoutes)],
  exports: [RouterModule],
  providers: [CauseListResolver],
})
export class CauseListRoutingModule {}
