import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ComplianceListResolver } from './compliance-list-resolver.service';
import { ComplianceListComponent } from './compliance-list.component';
const advocatesRoutes: Routes = [
  {
    path: '',
    component: ComplianceListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cases',
    },
    resolve: {
      info: ComplianceListResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(advocatesRoutes)],
  exports: [RouterModule],
  providers: [ComplianceListResolver],
})
export class ComplianceListRoutingModule {}
