import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { catchError } from 'rxjs/operators';

import { ErrorLoggerService } from '../core/error-logger.service';

import { ComplianceList } from './compliance-list';

const url = '/api/compliance-list';
const serviceName = 'ComplianceListService';

@Injectable({
  providedIn: 'root',
})
export class ComplianceListService {
  constructor(private http: HttpClient, private log: ErrorLoggerService) {}

  list(): Observable<ComplianceList> {
    return this.http
      .get<ComplianceList>(url)
      .pipe(catchError(this.log.handleError(serviceName, 'list'))) as Observable<ComplianceList>;
  }
}
