import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Contact } from '../core/contact';

import { ContactService } from './contact.service';

@Injectable({
  providedIn: 'root',
})
export class ContactResolver implements Resolve<Contact> {
  constructor(private ser: ContactService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Contact> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
