import { CourtStatus } from './court-status';

export class Hearing {
  id: string | undefined;
  courtNumber: string;
  itemNumber: string;
  bench: string;
  courtStatus: CourtStatus;
  proceedings: string;
  complianceDate: string | null;
  complianceDone: boolean;
  nextHearingDate: string | null;

  public constructor(init?: Partial<Hearing>) {
    this.id = undefined;
    this.courtNumber = '';
    this.itemNumber = '';
    this.bench = '';
    this.courtStatus = new CourtStatus();
    this.proceedings = '';
    this.complianceDate = null;
    this.complianceDone = true;
    this.nextHearingDate = null;
    Object.assign(this, init);
  }
}
