import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { CourtStatus } from '../../core/court-status';

import { CourtStatusListDataSource } from './court-status-list-datasource';

@Component({
  selector: 'app-court-status-list',
  templateUrl: './court-status-list.component.html',
  styleUrls: ['./court-status-list.component.css'],
})
export class CourtStatusListComponent implements OnInit {
  list: CourtStatus[] = [];
  dataSource: CourtStatusListDataSource = new CourtStatusListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: CourtStatus[] };
      this.list = data.list;
    });
    this.dataSource = new CourtStatusListDataSource(this.list);
  }
}
