import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CourtStatus } from '../core/court-status';

import { CourtStatusService } from './court-status.service';

@Injectable({
  providedIn: 'root',
})
export class CourtStatusResolver implements Resolve<CourtStatus> {
  constructor(private ser: CourtStatusService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<CourtStatus> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
