import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { CourtStatusDetailComponent } from './court-status-detail/court-status-detail.component';
import { CourtStatusListResolver } from './court-status-list-resolver.service';
import { CourtStatusListComponent } from './court-status-list/court-status-list.component';
import { CourtStatusResolver } from './court-status-resolver.service';

const courtStatusesRoutes: Routes = [
  {
    path: '',
    component: CourtStatusListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Court Statuses',
    },
    resolve: {
      list: CourtStatusListResolver,
    },
  },
  {
    path: 'new',
    component: CourtStatusDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Court Statuses',
    },
    resolve: {
      item: CourtStatusResolver,
    },
  },
  {
    path: ':id',
    component: CourtStatusDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Court Statuses',
    },
    resolve: {
      item: CourtStatusResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(courtStatusesRoutes)],
  exports: [RouterModule],
  providers: [CourtStatusListResolver, CourtStatusResolver],
})
export class CourtStatusesRoutingModule {}
