import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { CourtDetailComponent } from './court-detail/court-detail.component';
import { CourtListResolver } from './court-list-resolver.service';
import { CourtListComponent } from './court-list/court-list.component';
import { CourtResolver } from './court-resolver.service';

const advocatesRoutes: Routes = [
  {
    path: '',
    component: CourtListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Courts',
    },
    resolve: {
      list: CourtListResolver,
    },
  },
  {
    path: 'new',
    component: CourtDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Courts',
    },
    resolve: {
      item: CourtResolver,
    },
  },
  {
    path: ':id',
    component: CourtDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Courts',
    },
    resolve: {
      item: CourtResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(advocatesRoutes)],
  exports: [RouterModule],
  providers: [CourtListResolver, CourtResolver],
})
export class CourtsRoutingModule {}
