import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Department } from '../../core/department';

import { DepartmentListDataSource } from './department-list-datasource';

@Component({
  selector: 'app-department-list',
  templateUrl: './department-list.component.html',
  styleUrls: ['./department-list.component.css'],
})
export class DepartmentListComponent implements OnInit {
  list: Department[] = [];
  dataSource: DepartmentListDataSource = new DepartmentListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Department[] };
      this.list = data.list;
    });
    this.dataSource = new DepartmentListDataSource(this.list);
  }
}
