import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Department } from '../core/department';

import { DepartmentService } from './department.service';

@Injectable({
  providedIn: 'root',
})
export class DepartmentResolver implements Resolve<Department> {
  constructor(private ser: DepartmentService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Department> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
