import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { DepartmentDetailComponent } from './department-detail/department-detail.component';
import { DepartmentListResolver } from './department-list-resolver.service';
import { DepartmentListComponent } from './department-list/department-list.component';
import { DepartmentResolver } from './department-resolver.service';

const advocatesRoutes: Routes = [
  {
    path: '',
    component: DepartmentListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Departments',
    },
    resolve: {
      list: DepartmentListResolver,
    },
  },
  {
    path: 'new',
    component: DepartmentDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Departments',
    },
    resolve: {
      item: DepartmentResolver,
    },
  },
  {
    path: ':id',
    component: DepartmentDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Departments',
    },
    resolve: {
      item: DepartmentResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(advocatesRoutes)],
  exports: [RouterModule],
  providers: [DepartmentListResolver, DepartmentResolver],
})
export class DepartmentsRoutingModule {}
