import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { DiscountReportResolver } from './discount-report-resolver.service';
import { DiscountReportComponent } from './discount-report.component';

const discountReportRoutes: Routes = [
  {
    path: '',
    component: DiscountReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Discount Report',
    },
    resolve: {
      info: DiscountReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(discountReportRoutes)],
  exports: [RouterModule],
  providers: [DiscountReportResolver],
})
export class DiscountReportRoutingModule {}
