import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Nature } from '../../core/nature';

import { NatureListDataSource } from './nature-list-datasource';

@Component({
  selector: 'app-nature-list',
  templateUrl: './nature-list.component.html',
  styleUrls: ['./nature-list.component.css'],
})
export class NatureListComponent implements OnInit {
  list: Nature[] = [];
  dataSource: NatureListDataSource = new NatureListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Nature[] };
      this.list = data.list;
    });
    this.dataSource = new NatureListDataSource(this.list);
  }
}
