import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Nature } from '../core/nature';

import { NatureService } from './nature.service';

@Injectable({
  providedIn: 'root',
})
export class NatureResolver implements Resolve<Nature> {
  constructor(private ser: NatureService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Nature> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
