import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { NatureDetailComponent } from './nature-detail/nature-detail.component';
import { NatureListResolver } from './nature-list-resolver.service';
import { NatureListComponent } from './nature-list/nature-list.component';
import { NatureResolver } from './nature-resolver.service';

const advocatesRoutes: Routes = [
  {
    path: '',
    component: NatureListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Natures',
    },
    resolve: {
      list: NatureListResolver,
    },
  },
  {
    path: 'new',
    component: NatureDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Natures',
    },
    resolve: {
      item: NatureResolver,
    },
  },
  {
    path: ':id',
    component: NatureDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Natures',
    },
    resolve: {
      item: NatureResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(advocatesRoutes)],
  exports: [RouterModule],
  providers: [NatureListResolver, NatureResolver],
})
export class NaturesRoutingModule {}
