import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { OfficeStatus } from '../../core/office-status';

import { OfficeStatusListDataSource } from './office-status-list-datasource';

@Component({
  selector: 'app-office-status-list',
  templateUrl: './office-status-list.component.html',
  styleUrls: ['./office-status-list.component.css'],
})
export class OfficeStatusListComponent implements OnInit {
  list: OfficeStatus[] = [];
  dataSource: OfficeStatusListDataSource = new OfficeStatusListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: OfficeStatus[] };
      this.list = data.list;
    });
    this.dataSource = new OfficeStatusListDataSource(this.list);
  }
}
