import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { OfficeStatus } from '../core/office-status';

import { OfficeStatusService } from './office-status.service';

@Injectable({
  providedIn: 'root',
})
export class OfficeStatusResolver implements Resolve<OfficeStatus> {
  constructor(private ser: OfficeStatusService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<OfficeStatus> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
