import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { OfficeStatusDetailComponent } from './office-status-detail/office-status-detail.component';
import { OfficeStatusListResolver } from './office-status-list-resolver.service';
import { OfficeStatusListComponent } from './office-status-list/office-status-list.component';
import { OfficeStatusResolver } from './office-status-resolver.service';

const officeStatusesRoutes: Routes = [
  {
    path: '',
    component: OfficeStatusListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Office Statuses',
    },
    resolve: {
      list: OfficeStatusListResolver,
    },
  },
  {
    path: 'new',
    component: OfficeStatusDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Office Statuses',
    },
    resolve: {
      item: OfficeStatusResolver,
    },
  },
  {
    path: ':id',
    component: OfficeStatusDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Office Statuses',
    },
    resolve: {
      item: OfficeStatusResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(officeStatusesRoutes)],
  exports: [RouterModule],
  providers: [OfficeStatusListResolver, OfficeStatusResolver],
})
export class OfficeStatusesRoutingModule {}
