import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { Office } from '../../core/office';

import { OfficeListDataSource } from './office-list-datasource';

@Component({
  selector: 'app-office-list',
  templateUrl: './office-list.component.html',
  styleUrls: ['./office-list.component.css'],
})
export class OfficeListComponent implements OnInit {
  list: Office[] = [];
  dataSource: OfficeListDataSource = new OfficeListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'email', 'address', 'department'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: Office[] };
      this.list = data.list;
    });
    this.dataSource = new OfficeListDataSource(this.list);
  }
}
