import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Office } from '../core/office';

import { OfficeService } from './office.service';

@Injectable({
  providedIn: 'root',
})
export class OfficeResolver implements Resolve<Office> {
  constructor(private ser: OfficeService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Office> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
