import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { SaleReport } from './sale-report';
import { SaleReportService } from './sale-report.service';

@Injectable({
  providedIn: 'root',
})
export class SaleReportResolver implements Resolve<SaleReport> {
  constructor(private ser: SaleReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<SaleReport> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
