import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { SaleReportResolver } from './sale-report-resolver.service';
import { SaleReportComponent } from './sale-report.component';

const saleReportRoutes: Routes = [
  {
    path: '',
    component: SaleReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Sale Report',
    },
    resolve: {
      info: SaleReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(saleReportRoutes)],
  exports: [RouterModule],
  providers: [SaleReportResolver],
})
export class SaleReportRoutingModule {}
