import { Injectable } from '@angular/core';
import { evaluate, round } from 'mathjs';

@Injectable({
  providedIn: 'root',
})
export class MathService {
  // eslint-disable-next-line class-methods-use-this
  parseAmount(amount: string = '', rounding: number = 2): number {
    const cleaned = `${amount}`.replace(new RegExp('(₹[s]*)|(,)|(s)', 'g'), '');
    if (cleaned === '') {
      return 0;
    }
    return round(evaluate(cleaned), rounding);
  }
}
