import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { TaxReport } from './tax-report';
import { TaxReportService } from './tax-report.service';

@Injectable({
  providedIn: 'root',
})
export class TaxReportResolver implements Resolve<TaxReport> {
  constructor(private ser: TaxReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<TaxReport> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
