import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { UserDetailComponent } from './user-detail/user-detail.component';
import { UserListResolver } from './user-list-resolver.service';
import { UserListComponent } from './user-list/user-list.component';
import { UserResolver } from './user-resolver.service';

const usersRoutes: Routes = [
  {
    path: '',
    component: UserListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Users',
    },
    resolve: {
      list: UserListResolver,
    },
  },
  {
    path: 'new',
    component: UserDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Users',
    },
    resolve: {
      item: UserResolver,
    },
  },
  {
    path: ':id',
    component: UserDetailComponent,
    canActivate: [AuthGuard],
    resolve: {
      item: UserResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(usersRoutes)],
  exports: [RouterModule],
  providers: [UserListResolver, UserResolver],
})
export class UsersRoutingModule {}
