#!/usr/bin/env bash
parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path" || exit

if [ 1 -ne "$#" ]
then
  echo "Usage: `basename $0` Version: eg. 9.0.0"
  exit 0
fi
sed --in-place --regexp-extended 's/"([0-9].[0-9].[0-9])"/"'"$1"'"/g' luther/luther/__version__.py
git add luther/luther/__version__.py
sed --in-place --regexp-extended 's/version = "([0-9].[0-9].[0-9])"/version = "'"$1"'"/g' luther/pyproject.toml
git add luther/pyproject.toml
sed --in-place --regexp-extended 's/version: '\''([0-9].[0-9].[0-9])'\''/version: '\'"$1"\''/g' otis/src/environments/environment.prod.ts
git add otis/src/environments/environment.prod.ts
sed --in-place --regexp-extended 's/version: '\''([0-9].[0-9].[0-9])'\''/version: '\'"$1"\''/g' otis/src/environments/environment.ts
git add otis/src/environments/environment.ts
sed --in-place --regexp-extended 's/"version": "([0-9].[0-9].[0-9])"/"version": "'"$1"'"/g' otis/package.json
git add otis/package.json
git commit -m "Version Bump v$1"
git push
git tag --delete latest
git tag latest
git tag "v$1"
git push --delete origin latest
git push --tags
